import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Jump 'n' Run-Spiel mit dem Protagonisten Dorian
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class DorianLand extends GrafikWelt
{
    Dorian dorian;

    /**
     * Legt das Default-Szenorian mit Level 1 und die Spielfigur an
     */
    public DorianLand()
    {
        this(1);
    }
    
    /**
     * Legt das Szenorian und die Spielfigur an
     * @param levelNr das gewünschte Spiellevel
     */
    DorianLand(int levelNr)
    {        
        super();
        dorian = new Dorian();
        addObject(dorian, dorian.XPositionGeben(), dorian.YPositionGeben());
        Text text = new Text();
        addObject(text, 0 , 0);
        text.TextSetzen("← →: Gehen     Leertaste: Springen");
        text.PositionSetzen(300, 500);
        LevelSetzen(levelNr);
    }

    /**
     * Setzt das gewünschte Level.
     * @param levelNr das gewünschte Spiellevel
     */
    void LevelSetzen(int levelNr)
    {
        switch (levelNr)
        {
            case 1:
            Level1();
            break;            

            default:
            System.out.println("Ein Level mit dieser Nummer existiert nicht!");
        }
    }

    /**
     * Erstellt die Welt für Level 1.
     */
    void Level1()
    {
        // Weg
        Stahltraeger weg;
        weg = new Stahltraeger(800);
        addObject(weg, 0 , 0);
        weg.PositionSetzen(0, 400);

        // Kisten und Untier
        Kiste k1;
        k1 = new Kiste();
        addObject(k1, 0 , 0);
        k1.PositionSetzen(250, 350);
        Kiste k2;
        k2 = new Kiste();
        addObject(k2, 0 , 0);
        k2.PositionSetzen(450, 350);
        Gleiter u1;
        u1 = new Gleiter();
        addObject(u1, 0 , 0);
        u1.PositionSetzen(375, 375);

        // Ziel
        Ziel ziel;
        ziel = new Ziel();
        addObject(ziel, 0 , 0);
        ziel.PositionSetzen(735, 250);

        /*
         * Hier müssen noch einige Objekte ergänzt werden!
         */
    }   

    /**
     * Mitverantwortlich für die Steuerung von Dorian
     */
    @Override public void act()
    {
        super.act();
        if (dorian.Berührt("grün"))
        {
            Greenfoot.stop();
            dorian.Stoppen();
        }

        else if (dorian.Berührt("cyan"))
        {
            Greenfoot.stop();
            dorian.Stoppen();
        }
    }
}
