
/**
 * Gefährliches gleitendes Tier im Dorianland
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class Gleiter extends Figur
{
    private char richtung;

    /**
     * Standardkonstruktor
     */
    public Gleiter()
    {
        super();
        richtung = 'r';
        FigurFestlegen();
    }    

    /**
     * Steuert die Bewegungen des Gleiters.
     */
    @Override void AktionAusführen()
    {        
        // Fallen
        if ((!(Berührt("grau"))))
        {
            while (!Berührt("grau") && YPositionGeben() < 600)
            {
                PositionSetzen(XPositionGeben(), YPositionGeben() + 1);
            }
        }

        // Hin- und Herkrabbeln
        else
        {
            if (richtung == 'r')
            {
                if (!Berührt("schwarz"))
                {
                    PositionSetzen(XPositionGeben() + 1, YPositionGeben());
                }
                else            
                {
                    richtung = 'l';
                }
            }
            else
            {
                if (!Berührt("weiß"))
                {
                    PositionSetzen(XPositionGeben() - 1, YPositionGeben());
                }
                else
                {
                    richtung = 'r';
                }
            }
        }
    }

    /**
     * Legt das Aussehen des Gleiters fest.
     */
    private void FigurFestlegen()
    {
        FigurteilFestlegenEllipse(-40, -50, 80, 50, "grün");
        FigurteilFestlegenEllipse(-15, -30, 10, 10, "rot");
        FigurteilFestlegenEllipse(5, -30, 10, 10, "rot");
        FigurteilFestlegenDreieck(-20, -35, -10, -30, -5, -35, "rot");
        FigurteilFestlegenDreieck(20, -35, 10, -30, 5, -35, "rot");
        FigurteilFestlegenRechteck(-20, -15, 40, 5, "rot");
    }
}
