
/**
 * Beschreibt einen Kühlschrank
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Kuehlschrank
{
    /** Name der Hauskomponente */
    String name;
    /** Zustand des Eierfachs */
    boolean leer;
    /** Wert der Waage */
    int gewicht;
    /** Darstellungssymbol */
    //KuehlschrankSymbol symbol;

    /**
     * Legt den Namen und das Darstellungssymbol fest
     * @param namensZusatz individualler Namensteil der Komponente
     * @param sy Darstellungssymbol
     * @param w Waage
     */
    Kuehlschrank(String namensZusatz, /*KuehlschrankSymbol sy,*/ Waage w)
    {
        name = "Kühlschrank " + namensZusatz;
        gewicht = 0;
        leer = true;
        w.BeobachterRegistrieren(this);
    }

    /**
     * Wird von der Waage bei einem neuen Gewicht aufgerufen
     * @param wert das neue Gewicht
     */
    void WertänderungMelden(int wert)
    {
        gewicht = wert;
        leer = gewicht < 100;
        //Symbol
    }
    
    /**
     * Meldet den Zustand der Komponente
     * @return Zustand als Zeichenkette
     */
    String ZustandGeben()
    {
        return leer ? "Eierfach leer" : "Eierfach voll";
    }
    
    /**
     * Tut nichts
     */
    void Einschalten()
    {
    }
    
    /**
     * Tut nichts
     */
    void Ausschalten()
    {
    }
    
    /**
     * Tut nichts
     */
    void AutomatikAktivieren()
    {
    }
}
