
/**
 * Beschreibt einen Windsensor
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Windsensor
{
    /** Name des Sensors */
    String name;
    /** aktueller Wert der Messung */
    int aktuellerWert;
    /** Rolladen, dem Änderungen gemeldet werden */
    Rollladen beobachter;
    
    /**
     * Legt den Namen und den Beobachter fest.
     * @param namensZusatz individualler Namensteil des Sensors
     */
    Windsensor(String namensZusatz)
    {
        name = "Windsensor " + namensZusatz;
        beobachter = null;
        aktuellerWert = 0;
    }
    
    /**
     * Registriert einen Beobachter
     * @param beobachter wird von jeder Wertänderung benachrichtigt
     */
    void BeobachterRegistrieren (Rollladen beobachter)
    {
        this.beobachter = beobachter;
    }

    /**
     * Setzt den neuen Sensorwert
     * @param eingabe der neue Sensorwert
     */
    void WertSetzen (int eingabe)
    {
        if ((eingabe >= 0) && (eingabe <= 12))
        {
            aktuellerWert = eingabe;
            beobachter.WertänderungMeldenWindSensor(aktuellerWert);
        }
    }
    
    /**
     * Meldet den Zustand des Sensors
     * @return Zustand als Zeichenkette
     */
    String ZustandGeben()
    {
        return "" + aktuellerWert + " Bft";
    }
}
